(function() {

	'use strict';

	angular.module('uniflash').service('ufIsBinary', ufIsBinary);

	function ufIsBinary() {
		return checkByExt;
	}

	function checkByExt(file : ti_common.file.File) {
		var parts = file.name.split('.');
		var ext = parts.length > 1 ? parts.pop() : '';

		return ext === '' || ext === 'bin';
	}

})();